%define cdr_major 2.0
%define iso_major 2.0
%define minor %nil
%define alt_rel alt3

Name: cdrtools
Version: %cdr_major
Release: %alt_rel%minor
Packager: Dmitry V. Levin <ldv@altlinux.org>
Serial: 5

Summary: A set command line tools for CD/DVD-Recorders
Summary(ru_RU.KOI8-R):      CD/DVR-
License: GPL
Group: Archiving/Cd burning
Url: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html

#Source: ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/alpha/%name-%version%minor.tar.bz2
#Source: ftp://ftp.berlios.de/pub/cdrecord/alpha/%name-%version%minor.tar.bz2
Source: ftp://ftp.berlios.de/pub/cdrecord/%name-%version%minor.tar.bz2
Source1: cdrecord.control
Source2: readcd.control

Patch1: %name-mdk-arch-fix.patch
Patch2: %name-1.11a37-alt-conf.patch
Patch3: %name-1.9-alt-manlocation.patch

BuildConflicts: %name-devel

# Automatically added by buildreq on Mon Jan 20 2003
BuildRequires: libacl-devel libattr

BuildRequires: groff-base groff-ps

%package devel
Version: %cdr_major
Summary: The libschily SCSI user level transport library
Summary(ru_RU.KOI8-R):     SCSI 
Group: Development/C
Provides: cdrecord-devel = %version
Obsoletes: cdrecord-devel

%package -n mkisofs
Version: %iso_major
Summary: Creates an image of an ISO9660 filesystem
Summary(ru_RU.KOI8-R):     ISO9660
Group: Archiving/Cd burning
Icon: mkisofs-logo.xpm
Provides: %name-mkisofs = %version, cdrecord-mkisofs = %version
Obsoletes: %name-mkisofs, cdrecord-mkisofs, mkhybrid, cdrecord-mkhybrid

%package -n cdrecord
Version: %cdr_major
Summary: A command line CD/DVD-Recorder
Summary(ru_RU.KOI8-R):     CD/DVD
Group: Archiving/Cd burning
Icon: cdrecord-logo.xpm
Provides: %name-cdrecord = %version
Obsoletes: %name-cdrecord
PreReq: control

%package -n cdda2wav
Version: %cdr_major
Summary: A utility for sampling/copying .wav files from digital audio CDs
Summary(ru_RU.KOI8-R):      Audio CD
Group: Sound
Icon: cdda2wav-logo.xpm
Provides: %name-cdda2wav = %version, cdrecord-cdda2wav = %version, cdda2wav-mkisofs = %version
Obsoletes: %name-cdda2wav, cdrecord-cdda2wav, cdda2wav-mkisofs

%description
A set command line tools for CD/DVD-Recorders including
cdrecord, mkisofs, readcd, isoinfo and others.

%description -l ru_RU.KOI8-R
    CD/DVD-.
 cdrecord, mkisofs, readcd, isoinfo  ..

%description devel
The %name-devel package contains a SCSI user level transport
library which can talk to any SCSI device without a special
driver for the device.  Cdrecord can easily be ported to any
system with a SCSI device driver similar to the scg driver.

%description devel -l ru_RU.KOI8-R
   ,   SCSI-
  .

%description -n cdrecord
Cdrecord is an application for creating audio and data CDs on
a CD-Recorder (SCSI/ATAPI).  Cdrecord works with many different
brands of CD recorders, fully supports data, audio, mixed,
multi-session, CD+ discs and provides human-readable error messages.

%description -n cdrecord -l ru_RU.KOI8-R
cdrecord -    -.  
   CD-.   
 -, ,   CD+ .

%description -n mkisofs
The mkisofs program is used as a pre-mastering program; i.e., it
generates the ISO9660 filesystem.  Mkisofs takes a snapshot of
a given directory tree and generates a binary image of the tree
which will correspond to an ISO9660 filesystem when written to
a block device.  Mkisofs is used for writing CD-ROMs, and includes
support for creating bootable El Torito CD-ROMs.

Install the mkisofs package if you need a program for writing CD-ROMs.

%description -n mkisofs -l ru_RU.KOI8-R
mkisofs -      -,
   ISO9660.    
        
,    ISO9660.  mkisofs
     -.

     -.

%description -n cdda2wav
Cdda2wav is a sampling utility for CD-ROM drives that are capable of
providing a CD's audio data in digital form to your host.  Audio data
read from the CD can be saved as .wav or .sun format sound files.
Recording formats include stereo/mono, 8/12/16 bits and different
rates.  Cdda2wav can also be used as a CD player.

%description -n cdda2wav -l ru_RU.KOI8-R
cdda2wav -       -.
      .wav  .sun.
         
 .  cdda2wav    .

%prep
%setup -q -n %name-%cdr_major
%patch1 -p0
%patch2 -p1
%patch3 -p1

find -type f -print0 |
	xargs -r0 %__grep -EZl '/etc/default/(cdrecord|rscsi|cdda2ogg)' -- |
	xargs -r0 %__subst 's,/etc/default/\(cdrecord\|rscsi\|cdda2ogg\),/etc/\1.conf,g' --

find -type f -print0 |
	xargs -r0 %__grep -Zl '/usr/.*bin/perl[0-9]*' -- |
	xargs -r0 %__subst 's|/usr/.*bin/perl[0-9]*|/usr/bin/perl|g' --

%build
#ln -s i686-linux-gcc.rul RULES/ia64-linux-gcc.rul
#ln -s i686-linux-cc.rul RULES/ia64-linux-cc.rul
pushd conf
	libtoolize --copy --force
	aclocal
popd
# Use GNU make.
export MAKEPROG=gmake
# Don't use mmap to get shared memory.
export ac_cv_func_smmap=no
%make_build CC=gcc COPTS="$RPM_OPT_FLAGS" CONFFLAGS="%_target_platform --prefix=%prefix" XK_ARCH=%_target_cpu

%install
export MAKEPROG=gmake
%make_install install "INS_BASE=$RPM_BUILD_ROOT%prefix" XK_ARCH=%_target_cpu
%__install -p -m755 cdda2wav/cdda2ogg $RPM_BUILD_ROOT%_bindir/
%__ln_s -nf mkisofs $RPM_BUILD_ROOT%_bindir/mkhybrid

%__chmod 644 $RPM_BUILD_ROOT%_libdir/*.a

# Installing Header files for use with devel package.
%__mkdir_p $RPM_BUILD_ROOT%_includedir/schily/scg
%__install -p -m644 include/*.h incs/*/xconfig.h $RPM_BUILD_ROOT%_includedir/schily/
%__install -p -m644 libscg/scg/*.h $RPM_BUILD_ROOT%_includedir/schily/scg/
find $RPM_BUILD_ROOT%_includedir -type f -print0 |
	xargs -r0 chmod a-x --

# Installing default config.
%__install -pD -m644 cdrecord/cdrecord.dfl $RPM_BUILD_ROOT%_sysconfdir/cdrecord.conf
%__install -p -m644 rscsi/rscsi.dfl $RPM_BUILD_ROOT%_sysconfdir/rscsi.conf

install -pD -m755 $RPM_SOURCE_DIR/cdrecord.control $RPM_BUILD_ROOT/etc/control.d/facilities/cdrecord
install -pD -m755 $RPM_SOURCE_DIR/readcd.control $RPM_BUILD_ROOT/etc/control.d/facilities/readcd

groff -Tps -man doc/cdrecord.man >doc/cdrecord.ps

bzip2 -9f doc/*.ps ||:

%define docdir %_docdir/%name-%version
%__mkdir_p $RPM_BUILD_ROOT%docdir/{cdrecord,mkisofs,cdda2wav}
%__install -p -m644 AN-* \
	$RPM_BUILD_ROOT%docdir/

%__install -p -m644 Changelog README* doc/{cdrecord,isoinfo}.ps* \
	$RPM_BUILD_ROOT%docdir/cdrecord/

pushd mkisofs
	%__install -p -m644 ChangeLog* README* hdisk.pl ../doc/mkisofs.ps* \
		$RPM_BUILD_ROOT%docdir/mkisofs/
popd

pushd cdda2wav
	%__install -p -m644 Frontends GPL HOWTOUSE OtherProgs README THANKS TODO \
		cdda2mp3* cdda_links pitchplay readmult tracknames.* FAQ \
		../doc/cdda2wav.ps* \
		$RPM_BUILD_ROOT%docdir/cdda2wav/
popd

%pre -n cdrecord
[ $1 -eq 1 ] || /usr/sbin/control-dump cdrecord readcd

%post -n cdrecord
[ $1 -eq 1 ] || /usr/sbin/control-restore cdrecord readcd

%files devel
%_libdir/*.*a
%_includedir/*

%files -n mkisofs
%_bindir/mk*
%_man8dir/mk*.*
%dir %docdir
%docdir/AN-*
%docdir/mkisofs

%files -n cdrecord
%config /etc/control.d/facilities/cdrecord
%config /etc/control.d/facilities/readcd
%attr(640,root,cdwriter) %config(noreplace) %_sysconfdir/cdrecord.conf
%attr(4710,root,cdwriter) %_bindir/cdrecord
%attr(4710,root,cdwriter) %_bindir/readcd
%_bindir/scgcheck
%_bindir/devdump
%_bindir/iso*
%_man1dir/cdrecord.*
%_man1dir/readcd.*
%_man1dir/scgcheck.*
%_man8dir/iso*.*
%dir %docdir
%docdir/AN-*
%docdir/cdrecord

%files -n cdda2wav
%_bindir/cdda2*
%_man1dir/cdda2*.*
%dir %docdir
%docdir/AN-*
%docdir/cdda2wav

%changelog
* Thu Jan 23 2003 Rider <rider@altlinux.ru> 5:2.0-alt3
- Build Requires fix (groff-base)

* Thu Jan 09 2003 Dmitry V. Levin <ldv@altlinux.org> 5:2.0-alt2
- Fixed %_includedir/*.h permissions (#0001788).
- Added %_bindir/cdda2ogg script.

* Fri Dec 27 2002 Dmitry V. Levin <ldv@altlinux.org> 5:2.0-alt1
- 2.0 release.
- Support for Code Page 1251 merged upstream.

* Mon Nov 25 2002 Dmitry V. Levin <ldv@altlinux.org> 5:1.11-alt0.9a40
- 1.11a40.

* Mon Oct 28 2002 Dmitry V. Levin <ldv@altlinux.org> 5:1.11-alt0.9a39
- 1.11a39.

* Sat Oct 26 2002 Dmitry V. Levin <ldv@altlinux.org> 5:1.11-alt0.9a37
- Corrected control dependence (cdrtools -> cdrecord) (#0001444).
- Don't use mmap to get shared memory (to support kernel < 2.4).

* Fri Oct 18 2002 Dmitry V. Levin <ldv@altlinux.org> 5:1.11-alt0.8a37
- 1.11a37, updated patches.
- Added control support for cdrecord and readcd.

* Mon May 13 2002 Dmitry V. Levin <ldv@altlinux.org> 5:1.11-alt0.7a23
- 1.11a23.

* Mon Apr 22 2002 Dmitry V. Levin <ldv@alt-linux.org> 5:1.11-alt0.7a21
- 1.11a21.

* Fri Apr 05 2002 Dmitry V. Levin <ldv@alt-linux.org> 5:1.11-alt0.7a20
- 1.11a20.
- zisofs patch merged upstream.
- Relocated docs.

* Wed Mar 13 2002 Dmitry V. Levin <ldv@alt-linux.org> 5:1.11-alt0.7a17
- Fixed docs error made in prev package release.
- Fixed devel subpackage broken in prev package release.
- Fixed build to avoid use of kernel sources.
- Added buildconflicts on %name-devel.

* Tue Mar 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 5:1.11-alt0.5a17
- 1.11a17.

* Mon Mar 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 5:1.11-alt0.5a16
- 1.11a16.

* Tue Feb 26 2002 Dmitry V. Levin <ldv@alt-linux.org> 5:1.11-alt0.5a15
- 1.11a15.

* Mon Feb 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 5:1.11-alt0.5a14
- 1.11a14.

* Wed Jan 30 2002 Andrey Astafiev <andrei@altlinux.ru> 5:1.11-alt0.5a013
- 1.11a13.
- Updated zisofs patch.

* Tue Jan 15 2002 Dmitry V. Levin <ldv@alt-linux.org> 5:1.11-alt0.4a12
- 1.11a12.

* Thu Nov 15 2001 Dmitry V. Levin <ldv@alt-linux.org> 5:1.11-alt0.4a11
- 1.11a11.

* Mon Nov 12 2001 Dmitry V. Levin <ldv@alt-linux.org> 5:1.11-alt0.3a10
- 1.11a10.

* Tue Oct 16 2001 Andrey Astafiev <andrei@altlinux.ru> 1.11-alt0.2a08
- Small fix for nls_1251 support.
- Added zisofs patch for mkisofs.

* Tue Oct 09 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.11-alt0.1a08
- 1.11a08.

* Wed Sep 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.11-alt0.1a07
- 1.11a07.

* Tue Aug 28 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.11-alt0.1a06
- 1.11a06.
- Added nls_1251 support for mkisofs by John Profic <profic@lrn.ru>.

* Mon Apr 23 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.10-alt1
- 1.10 release.

* Mon Apr 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.10a19-alt1
- 1.10a19

* Tue Apr 03 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.10a18-ipl1mdk
- 1.10a18

* Sat Mar 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.10pre17-ipl1mdk
- 1.10pre17

* Wed Mar 07 2001 Dmitry V. Levin <ldv@fandra.org> 1.10a16-ipl1mdk
- 1.10a16

* Wed Feb 28 2001 Dmitry V. Levin <ldv@fandra.org> 1.10a15-ipl1mdk
- 1.10a15

* Sun Feb 25 2001 Dmitry V. Levin <ldv@fandra.org> 1.10a14-ipl1mdk
- 1.10a14

* Fri Feb 23 2001 Dmitry V. Levin <ldv@fandra.org> 1.10a13-ipl2mdk
- Raised suid on cdrecord and readcd.

* Fri Jan 26 2001 Dmitry V. Levin <ldv@fandra.org> 1.10a13-ipl1mdk
- 1.10a13

* Wed Jan 24 2001 Dmitry V. Levin <ldv@fandra.org> 1.10a12-ipl1mdk
- 1.10a12

* Thu Sep 28 2000 Dmitry V. Levin <ldv@fandra.org> 1.9-ipl1mdk
- 1.9
- Merge with RH and MDK.

* Thu May 04 2000 Dmitry V. Levin <ldv@fandra.org>
- Merge with MDK.
- Fandra adaptions.
- Imported spec from Ryan Weaver <ryanw@infohwy.com>
